Debug::DWARF::LineNumbers::Register -

# struct Debug::DWARF::LineNumbers::Register

- Debug::DWARF::LineNumbers::Register
- Struct
- Value
- Object

## Overview

The state machine registers used to decompress the line number sequences.

:nodoc:

## Defined in:

## Constructors

- .new(is_stmt)

## Instance Method Summary

- #address : UInt64

  The Program Counter (PC) value corresponding to a machine instruction generated by the compiler.

- #address=(address : UInt64)

  The Program Counter (PC) value corresponding to a machine instruction generated by the compiler.

- #basic_block : Bool

  Indicates that the instruction is the beginning of a basic block.

- #basic_block=(basic_block : Bool)

  Indicates that the instruction is the beginning of a basic block.

- #column : UInt32

  Column number within the source file.

- #column=(column : UInt32)

  Column number within the source file.

- #discriminator : UInt32

  Identifies the block to which the instruction belongs.

- #discriminator=(discriminator : UInt32)

  Identifies the block to which the instruction belongs.

- #end_sequence : Bool

  Terminates a sequence of lines.

- #end_sequence=(end_sequence : Bool)

  Terminates a sequence of lines.

- #epilogue_begin : Bool

  Indicates the instruction is one where execution should be suspended (for an exit breakpoint).

- #epilogue_begin=(epilogue_begin : Bool)

  Indicates the instruction is one where execution should be suspended (for an exit breakpoint).

- #file : UInt32

  Source file for the instruction.

- #file=(file : UInt32)

  Source file for the instruction.

- #is_stmt : Bool

  Recommended breakpoint location.

- #is_stmt=(is_stmt : Bool)

  Recommended breakpoint location.

- #isa : UInt32

  Applicable Instruction Set Architecture for the instruction.

- #isa=(isa : UInt32)

  Applicable Instruction Set Architecture for the instruction.

- #line : UInt32

  Line number within the source file.

- #line=(line : UInt32)

  Line number within the source file.

- #op_index : UInt32

  The index of an operation inside a Very Long Instruction Word (VLIW) instruction.

- #op_index=(op_index : UInt32)

  The index of an operation inside a Very Long Instruction Word (VLIW) instruction.

- #prologue_end : Bool

  Indicates the instruction is one where execution should be suspended (for an entry breakpoint).

- #prologue_end=(prologue_end : Bool)

  Indicates the instruction is one where execution should be suspended (for an entry breakpoint).

- #reset

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(is_stmt) #

## Instance Method Detail

def address : UInt64 #

The Program Counter (PC) value corresponding to a machine instruction generated by the compiler.

def address=(address : UInt64) #

The Program Counter (PC) value corresponding to a machine instruction generated by the compiler.

def basic_block : Bool #

Indicates that the instruction is the beginning of a basic block.

def basic_block=(basic_block : Bool) #

Indicates that the instruction is the beginning of a basic block.

def column : UInt32 #

Column number within the source file. Starting at 1; the value 0 means that a statement begins at the "left edge" of the line.

def column=(column : UInt32) #

Column number within the source file. Starting at 1; the value 0 means that a statement begins at the "left edge" of the line.

def discriminator : UInt32 #

Identifies the block to which the instruction belongs.

def discriminator=(discriminator : UInt32) #

Identifies the block to which the instruction belongs.

def end_sequence : Bool #

Terminates a sequence of lines. Other information in the same row (of the decoded matrix) isn't meaningful.

def end_sequence=(end_sequence : Bool) #

Terminates a sequence of lines. Other information in the same row (of the decoded matrix) isn't meaningful.

def epilogue_begin : Bool #

Indicates the instruction is one where execution should be suspended (for an exit breakpoint).

def epilogue_begin=(epilogue_begin : Bool) #

Indicates the instruction is one where execution should be suspended (for an exit breakpoint).

def file : UInt32 #

Source file for the instruction.

def file=(file : UInt32) #

Source file for the instruction.

def is_stmt : Bool #

Recommended breakpoint location.

def is_stmt=(is_stmt : Bool) #

Recommended breakpoint location.

def isa : UInt32 #

Applicable Instruction Set Architecture for the instruction.

def isa=(isa : UInt32) #

Applicable Instruction Set Architecture for the instruction.

def line : UInt32 #

Line number within the source file. Starting at 1; the value 0 means that the instruction can't be attributed to any source line.

def line=(line : UInt32) #

Line number within the source file. Starting at 1; the value 0 means that the instruction can't be attributed to any source line.

def op_index : UInt32 #

The index of an operation inside a Very Long Instruction Word (VLIW) instruction. Together with `#address` they reference an individual operation.

def op_index=(op_index : UInt32) #

The index of an operation inside a Very Long Instruction Word (VLIW) instruction. Together with `#address` they reference an individual operation.

def prologue_end : Bool #

Indicates the instruction is one where execution should be suspended (for an entry breakpoint).

def prologue_end=(prologue_end : Bool) #

Indicates the instruction is one where execution should be suspended (for an entry breakpoint).

def reset #